# List disputes

Returns the list of disputes.

Read our [disputes guide](https://docs.moov.io/guides/money-movement/accept-payments/card-acceptance/disputes/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## GET

/accounts/{accountID}/disputes

### Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```go
mc, _ := moov.NewClient()

var accountID string

mc.ListDisputes(ctx, accountID)
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.disputes.list({
    accountID: "6fee8f6c-b2c5-44a4-aebb-718335fe4f8e",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListDisputesRequest(
    accountID: '6fee8f6c-b2c5-44a4-aebb-718335fe4f8e',
    skip: 60,
    count: 20,
);

$response = $sdk->disputes->list(
    request: $request
);

if ($response->disputes !== null) {
    // handle response
}
```

### Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.ListDisputesRequest;
import io.moov.sdk.models.operations.ListDisputesResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws GenericError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListDisputesRequest req = ListDisputesRequest.builder()
                .accountID("6fee8f6c-b2c5-44a4-aebb-718335fe4f8e")
                .skip(60L)
                .count(20L)
                .build();

ListDisputesResponse res = sdk.disputes().list()
                .request(req)
                .call();

if (res.disputes().isPresent()) {
            System.out.println(res.disputes().get());
        }
    }
}
```

### Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.disputes.list(account_id="6fee8f6c-b2c5-44a4-aebb-718335fe4f8e", skip=60, count=20)

# Handle response
    print(res)
```

### Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListDisputesRequest.new(
  account_id: '6fee8f6c-b2c5-44a4-aebb-718335fe4f8e',
  skip: 60,
  count: 20
)
res = s.disputes.list(request: req)

unless res.disputes.nil?
  # handle response
end
```

### Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListDisputesRequest req = new ListDisputesRequest() {
    AccountID = "6fee8f6c-b2c5-44a4-aebb-718335fe4f8e",
    Skip = 60,
    Count = 20,
};

var res = await sdk.Disputes.ListAsync(req);

// handle response
```

### The request completed successfully.

### Example

```json
[
  {
    "disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
    "merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
    "createdOn": "2024-12-23T17:55:00Z",
    "amount": {
      "currency": "USD",
      "value": 257753
    },
    "networkReasonCode": "10.4",
    "transfer": {
      "transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
    },
    "respondBy": "2024-12-23T18:55:00Z",
    "status": "response-needed",
    "phase": "chargeback"
  }
]
```

### Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

### Example

```json
{
  "error": "string"
}
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Example

```json
{
  "error": "string"
}
```

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The request conflicted with the current state of the target resource.

### Example

```json
{
  "error": "string"
}
```

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible values:

`v2026.07.00`

Default: `200`

Optional date-time parameter to filter all disputes created on and after the provided date and time.

Optional date-time parameter to filter all disputes created on and before the provided date and time.

Optional date-time which exclusively filters all disputes with respond by before this date-time.

Optional date-time which exclusively filters all disputes with respond by before this date-time.

Optional dispute status by which to filter the disputes.

Possible values:

`response-needed`,
`resolved`,
`under-review`,
`closed`,
`accepted`,
`expired`,
`won`,
`lost`

Optional parameter to filter by merchant account ID.

Optional parameter to filter by cardholder account ID.

Optional parameter to filter by a comma separated list of dispute IDs.

Optional parameter to filter by a comma separated list of transfer IDs.

Show child attributes

A 3-letter ISO 4217 currency code.

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Indicates the card network's category for the dispute.

These codes may differ between card brands. You can find more information on the code from the networkReasonDescription field.

Provides detail on the card network's categorization of the dispute.

The phase of a dispute within the dispute lifecycle.

Possible values:

`pre-dispute`,
`inquiry`,
`chargeback`,
`unknown`

The status of a particular dispute.

Read our [disputes guide](https://docs.moov.io/guides/money-movement/accept-payments/card-acceptance/disputes/#dispute-statuses) to learn what each status means.

Possible values:

`response-needed`,
`resolved`,
`under-review`,
`closed`,
`accepted`,
`expired`,
`won`,
`lost`

Show child attributes

The disputed transfer's ID.
